org.apache.tomcat.jni

## Class Multicast

- java.lang.Object
- - org.apache.tomcat.jni.Multicast

    public class Multicast
    extends Object

Multicast

Author:
  Mladen Turk

### Constructor Summary

Constructors
Constructor and Description
`Multicast()`

### Method Summary

Methods
`static int` `hops(long sock, int ttl)` Set the Multicast Time to Live (ttl) for a multicast transmission.
`static int` `join(long sock, long join, long iface, long source)` Join a Multicast Group
`static int` `leave(long sock, long addr, long iface, long source)` Leave a Multicast Group.
`static int` `loopback(long sock, boolean opt)` Toggle IP Multicast Loopback
`static int` `ointerface(long sock, long iface)` Set the Interface to be used for outgoing Multicast Transmissions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Multicast

    public Multicast()

### Method Detail

#### join

    public static int join(long sock,
           long join,
           long iface,
           long source)

Join a Multicast Group

Parameters:
  `sock` - The socket to join a multicast group
  `join` - The address of the multicast group to join
  `iface` - Address of the interface to use. If NULL is passed, the default multicast interface will be used. (OS Dependent)
  `source` - Source Address to accept transmissions from (non-NULL implies Source-Specific Multicast)

#### leave

    public static int leave(long sock,
            long addr,
            long iface,
            long source)

Leave a Multicast Group. All arguments must be the same as apr_mcast_join.

Parameters:
  `sock` - The socket to leave a multicast group
  `addr` - The address of the multicast group to leave
  `iface` - Address of the interface to use. If NULL is passed, the default multicast interface will be used. (OS Dependent)
  `source` - Source Address to accept transmissions from (non-NULL implies Source-Specific Multicast)

#### hops

    public static int hops(long sock,
           int ttl)

Set the Multicast Time to Live (ttl) for a multicast transmission.

Parameters:
  `sock` - The socket to set the multicast ttl
  `ttl` - Time to live to Assign. 0-255, default=1
  Remark : If the TTL is 0, packets will only be seen by sockets on the local machine, and only when multicast loopback is enabled.

#### loopback

    public static int loopback(long sock,
               boolean opt)

Toggle IP Multicast Loopback

Parameters:
  `sock` - The socket to set multicast loopback
  `opt` - false=disable, true=enable

#### ointerface

    public static int ointerface(long sock,
                 long iface)

Set the Interface to be used for outgoing Multicast Transmissions.

Parameters:
  `sock` - The socket to set the multicast interface on
  `iface` - Address of the interface to use for Multicast